> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Update a contact. Use when your application needs to create, look up, or maintain the contact records that the AI agents converse with.

# Update a contact



## OpenAPI

````yaml patch /contacts/{contact_id}
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /contacts/{contact_id}:
    patch:
      summary: Update a contact
      operationId: updateContact
      parameters:
        - schema:
            type: string
          in: path
          name: contact_id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateContactInput'
      responses:
        '200':
          description: Default Response
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    UpdateContactInput:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/UpdateContactInputInput'
      type: object
      properties:
        contact:
          type: object
          properties:
            email:
              type: string
              format: email
              pattern: >-
                ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
            phone:
              type: string
            name:
              type: string
            custom_data:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type: string
            http_action_overrides:
              $ref: '#/components/schemas/PublicAPIHttpOverrides'
      required:
        - contact
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
    PublicAPIHttpOverrides:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/PublicAPIHttpOverridesInput'
      type: object
      properties:
        query_params:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: string
        path_params:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: string
        body_params:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: string
        headers:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````